Loading...
Searching...
No Matches
concepts.hpp File Reference

## Concepts

concept | ranges::semi_container
| The `semi_container` concept `std::array` is a `semi_container`, native arrays are not.
concept | ranges::container_
| The `container_` concept `std::vector` is a container, `std::array` is not.
concept | ranges::container
| The `container` concept.
concept | ranges::reservable_
| The `reservable_` concept.
concept | ranges::reservable
| The `reservable` concept.
concept | ranges::reservable_with_assign_
| The `reservable_with_assign_` concept.
concept | ranges::reservable_with_assign
| The `reservable_with_assign` concept.
concept | ranges::random_access_reservable
| The `random_access_reservable` concept.
concept | ranges::lvalue_container_like_
| The `lvalue_container_like_` concept.
concept | ranges::lvalue_container_like
| The `lvalue_container_like` concept.